<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	pagina para modificar el valor comprometido relacionado a un 
                avalúo en proceso        
                        
@cu 			CU-SA-AC-085    

-->

<h:form id="modificarValorComprometidoForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <script src="#{request.contextPath}/js/jquery.formatCurrency.js"
            type="text/javascript" />

    <p:messages id="msgsModificarValor" showDetail="false"
                globalOnly="false" />

    <p:spacer width="5" />

    <p:fieldset>
        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:outputLabel value="Número documento:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{administrarValoresComprometidos.avaluador.numeroIdentificacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Nombre avaluador:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{administrarValoresComprometidos.avaluador.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Territorial:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{administrarValoresComprometidos.avaluador.territorialCodigo}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Contrato activo:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{administrarValoresComprometidos.avaluador.contratoNumero}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Año contrato:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{administrarValoresComprometidos.avaluador.anio}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Sec. radicado:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{administrarValoresComprometidos.avaluoSeleccionado.secRadicado}" />

            <h:panelGrid columns="2">
                <h:panelGroup>
                    <h:outputLabel value="Valor comprometido:"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                </h:panelGroup>
            </h:panelGrid>

            <h:panelGrid columns="2">
                <h:inputText id="valorComprometido" label="Valor comprometido"
                             required="true"
                             value="#{administrarValoresComprometidos.avaluoSeleccionado.valorPreliminar}">
                    <f:validateDoubleRange minimum="1.0" for="valorComprometido" />
                    <f:converter converterId="converterMoneda" for="valorComprometido" />
                    <p:ajax event="blur"
                            onstart="aplicarFormatoMoneda('modificarValorComprometidoForm:valorComprometido',true);" />
                    <p:ajax event="focus"
                            onstart="aplicarFormatoMoneda('modificarValorComprometidoForm:valorComprometido',false);" />

                </h:inputText>
                <p:message for="valorComprometido" display="icon" />
            </h:panelGrid>


            <h:outputLabel value="Valor IVA comprometido:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{administrarValoresComprometidos.avaluoSeleccionado.valorIva}">
                <f:converter converterId="converterMoneda" for="valorIva" />
            </h:outputText>

        </h:panelGrid>
    </p:fieldset>

    <h:panelGrid columns="4" cellspacing="7" width="100%">
        <p:commandButton value="Aceptar"
                         action="#{administrarValoresComprometidos.modificarValorComprometido}"
                         icon="ui-icon ui-icon-check"
                         oncomplete="handleCompleteSIC(xhr, status, args, editarValorComprometidoWV, false);"
                         update=":modificarValorComprometidoForm,:administrarValoresComprometidosForm" />
    </h:panelGrid>

</h:form>

